888 send me an e-mail regarding updating the client. Which i did. Now, when i install the client and log in, it gives me the exact same message (client outdated, please update). Does anyone else have this problem? I'm playing on a mac. I contacted support and i'm still waiting on a reply.